<xml> </xml>

btb-class |

# DictionaryBase(TKey,TValue).Add(TKey, TValue) Method

Adds an element with the provided key and value to the IDictionary`2.

public abstract void DictionaryBase(
TKey key,
TValue value
);

#### Parameters

key
  The object to use as the key of the element to add.
value
  The object to use as the value of the element to add.

#### Implements

IDictionary<TKey, TValue>.Add

#### Exceptions

Exception Type | Condition
--- | ---
ArgumentNullException | key is null.
ArgumentException | An element with the same key already exists in the IDictionary`2.
NotSupportedException | The IDictionary`2 is read-only.

#### See Also

DictionaryBase<TKey, TValue> Class | ComponentOwl.BetterThumbnailBrowser Namespace | DictionaryBase<TKey, TValue>.Add Overload List